
QGIS Application - Bug report #13530

cpt-city ramps missing

2015-10-06 12:11 AM - Jeff Moyen

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21572

Description

(QGIS 2.10-1, 64b, windows 7)

Good morning,

On a fresh install of QGIS, the cpt-city ramps for raster pseudocolor are missing: the cpt-city color ramp windows does open, but is

empty. I see an 'All ramps' node on the browser panel on the left, and that's all.

(possible duplicate/related to #9796 ??)

History

#1 - 2015-10-06 11:49 AM - Saber Razmjooei

- Status changed from Open to Feedback

Is your profile located on a network drive? I assume you are using Windows?

#2 - 2015-10-06 12:14 PM - Jeff Moyen

1) No, it's on C/users/myname/.qgis2

Indeed, the palette subfolder there is empty. On the other hand I found a C:\\Program Files\\QGIS Pisa\\apps\\qgis\

esources\\cpt-city-qgis-min that appears to contain what I need. But how to have them "registered" by QGIS ?

2) Yes, w7/64

Thanks !

#3 - 2015-10-06 12:28 PM - Saber Razmjooei

- Priority changed from Normal to Low

- Status changed from Feedback to Open

#4 - 2015-11-04 01:35 AM - Jeff Moyen

Still the same issue with 2.12...

#5 - 2015-11-05 11:20 AM - Giovanni Manghi
- Category set to GUI

- Status changed from Open to Feedback

I cannot replicate on Windows/Osgeo4w 64bit with QGIS 2.10 and 2.12.

#6 - 2015-11-26 07:49 AM - Jeff Moyen

Hi there,

I came back to that issue. It turned out

1) that the path to cpt-city files was incorrect, in options|advanced there was an option for something like "path to cpt files" or something similar (forgot to

take notes at that point, sorry), that pointed to C/progs/QGIS Pisa/apps/QGIS/resources (instead of C/progs/QGIS Lyon/etc. !!!)

2) Trying to change this value from the setting editor caused a crash to desktop.

3) reinistalling did not do any good.

In the end, I went to the registry and cleaned manually all the QGIS-related keys that were there (and there were quite a few!), and reinstalled; this resulted

in a clean install, without this incorrect path (in fact I cannot see it in options|advanced now !), and the cpt-palettes are there.

It would appear that QGIS Pisa left quite a footpritnt behind when uninstalled (cf. ticket 13531), that Lyon installer did not remove properly either...

#7 - 2015-12-21 01:15 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

- File cpt.png added

it seems to me that the location of the cpt pallettes is controlled by the "color ramp manager" plugin (see attached image). After an upgrade of QGIS version

is probably needed to re-run it, or choose a different place where to put the ramps, like the .qgis2 folder (and the plugin allows it).

please reopen if necessary.

#8 - 2015-12-21 01:31 AM - Jeff Moyen

Giovanni,

I don't believe so. Right now in Lyon I do have access to the cpt-city palettes (after the trick I explained previously), but the color ramp manager plugin is

not installed...

#9 - 2015-12-21 01:40 AM - Giovanni Manghi

1) in options|advanced

where is this option?
cheers!

#10 - 2015-12-21 02:01 AM - Jeff Moyen

settings|options

tab "advanced", all the way at the bottom ("advanced settings editor")

#11 - 2015-12-21 02:35 AM - Giovanni Manghi

Jeff Moyen wrote:

settings|options

tab "advanced", all the way at the bottom ("advanced settings editor")

in what group? I have added a cpt-city ramp, but then I can't find anything like "path to cpt files" in this dialog.

#12 - 2015-12-21 04:40 AM - Jeff Moyen

You're absolutely right, It's gone now. Sorry for the misunderstanding.

See my comment #6 above : it was there after upgrading from Pisa to Lyon. Then, I uninstalled lyon  and manually cleaned the registry for everything QGIS

related, and reinstalled Lyon; the said variable is nowhere to be seen (and everything works).

My interpretation would be that at some point, something (QGIS or the plugin?) wrote in the registry, and that uninstalling Pisa did not remove that key; the

key remained there in the next installation, even though it was useless and actually wrong.

Jeff

#13 - 2015-12-21 11:45 AM - Giovanni Manghi

My interpretation would be that at some point, something (QGIS or the plugin?) wrote in the registry, and that uninstalling Pisa did not remove that

key; the key remained there in the next installation, even though it was useless and actually wrong.

it is the plugin that indeed creates this variable.

So it seems that if the user needs really to re-run the plugin after a qgis update, or better choose the .qgis2 folder as the target for cpt ramps, in this case

there will be never problems with qgis updates.

The fact that editing variable crashes qgis is another issue that I will report now.

#14 - 2015-12-21 12:09 PM - Jeff Moyen

it is the plugin that indeed creates this variable.

So it seems that if the user needs really to re-run the plugin after a qgis update, or better choose the .qgis2 folder as the target for cpt ramps, in this

case there will be never problems with qgis updates.
In that case, wouldn't it be nice if the plugin would check when QGIS is updated, and suggest the user it should be re-ran ? But of course, this is no QGIS

(proper) bug.

On a more general note, my exploration in the registry led me to dozens of keys that were not removed by uninstall, some dating back from 2.8 or maybe

even 2.6 (cannot remember now, sorry). Some are legitimate (it is actually nice to keep user preferences through an update !), some should have been

disposed off. Collectively, it appears that the uninstaller (at least in previous versions) does not do a terribly good job at cleaning the stuff written in the

registry...

#15 - 2015-12-21 12:34 PM - Giovanni Manghi

Jeff Moyen wrote:

it is the plugin that indeed creates this variable.

So it seems that if the user needs really to re-run the plugin after a qgis update, or better choose the .qgis2 folder as the target for cpt ramps, in this

case there will be never problems with qgis updates.

In that case, wouldn't it be nice if the plugin would check when QGIS is updated, and suggest the user it should be re-ran ? But of course, this is no

QGIS (proper) bug.

yes, you may want to notice the plugin author.

On a more general note, my exploration in the registry led me to dozens of keys that were not removed by uninstall, some dating back from 2.8 or

maybe even 2.6 (cannot remember now, sorry). Some are legitimate (it is actually nice to keep user preferences through an update !), some should

have been disposed off. Collectively, it appears that the uninstaller (at least in previous versions) does not do a terribly good job at cleaning the stuff

written in the registry...

we should check what happens with master, if the situation is the same then file a ticket about this specific issue.

Files

cpt.png 25.6 KB 2015-12-21 Giovanni Manghi
